Difference between revisions of "Release Notes for Alpine 1.7.5"

From Alpine Linux
Jump to: navigation, search
(imported from old wiki)
 
(Category:News)
Line 83: Line 83:
 
vconfig-1.9                    (1.8)
 
vconfig-1.9                    (1.8)
 
wireless-tools-29_pre22        (28)</pre>
 
wireless-tools-29_pre22        (28)</pre>
 +
 +
[[Category:News]]

Revision as of 06:06, 12 March 2012

Release notes for Alpine 1.7.5

This release contains many bigger changes. Please report any bugs using the sendbug application (and please remeber to set it up with setup-sendbug before first invocation)

Kernel upgrade

The default kernel, generic, was upgraded to 2.6.20-hardeed-r6. This is yet another stable release.

The experimental vsgrsec kernel was upgraded to 2.6.22. Please have a look at the kernel newbies site for details whats new there.

Core applications updates

Some of the core applications have gone through a change. Busybox is upgraded to 1.7.0 and the relevant patches from fixes directory is applied. So far it look like new release of busybox has not had so many bugs. A few was and those are fixed.

Support for keyboard localization was added. You will now be prompted for keyboard setup when running setup-alpine. You can also run setup-keymap individually. I only use one language so I really appreciate feedback if you try a keymap. The keymap file is copied from the bkeymaps package to /etc/keymaps and compressed. This way will only the needed keymap be stored to floppy/usb.

The sendbug application got an overhaul. Its no possible to attatch dmesg from boot with th -d option. You can attatch a textfile with -a and its even possible to pipe things into the bug report. You will need to configure your sender email address and outgoing SMTP server. This is done by running setup-sendbug.

Other noticeable changes

Support for initstyle plain was added for alpine vserver guests.

Previous openswan (2.5.14) had totally broken init scripts. For now I have the experimental 2.5.x in openswan25 until its marked as 2.6.x (stable). The scripts are still broken but I have not had the capacity to fix them. Feel free to help out here.

The detailed package change list:

Removed packages:
(none)


New pacakges:
bkeymaps-1.13
git-1.5.1.6
lua-sqlite3-0.4.1
mailbase-1
openswan25-2.5.15
openswan25-doc-2.5.15
xl2tpd-1.1.11
xl2tpd-doc-1.1.11


Upgraded/downgraded packages (from version):
alpine-baselayout-1.6.0        (1.5.1)
alpine-conf-1.0                (0.10)
baselayout-2.0.0_rc4-r1        (2.0.0_rc1)
busybox-1.7.0                  (1.6.1)
clamav-0.91.2                  (0.91)
ctorrent-3.2                   (3.1)
curl-7.16.4                    (7.15.5-r1)
db-4.5.20_p2                   (4.3.29-r2)
debootstrap-1.0.3              (1.0.0)
device-mapper-1.02.19-r1       (1.02.19)
dhcp-3.1.0                     (3.0.3-r9)
drbd-8.0.5                     (8.0.4)
dspam-3.8.0-r4                 (3.8.0-r3)
ed-0.6                         (0.5)
expat-2.0.1                    (1.95.8)
fetchmail-6.3.8-r1             (6.3.8)
haproxy-1.3.12                 (1.3.11.4)
iproute2-2.6.20.20070313       (2.6.19.20061214)
iptables-1.3.8-r1              (1.3.5-r4)
kbd-1.13-r1                    (1.12-r8)
lame-3.97-r1                   (3.97)
libnfnetlink-0.0.30            (0.0.25)
libpng-1.2.18-r1               (1.2.18)
libtool-1.5.24                 (1.5.23b)
libvorbis-1.1.2-r1             (1.1.2)
lighttpd-1.4.16                (1.4.15-r1)
luatdb-20070618                (20060624)
madwifi-ng-tools-0.9.3.2       (0.9.3.1)
olsrd-0.5.3                    (0.5.2-r1)
opensc-0.11.3                  (0.10.1)
openssh-4.6_p1-r3              (4.6_p1-r2)
openssl-0.9.8e-r2              (0.9.8d)
openswan-2.4.9                 (2.5.14)
openswan-doc-2.4.9             (2.5.14)
psmisc-22.5-r1                 (22.5)
rrdtool-1.2.23-r1              (1.2.15-r3)
rsync-2.6.9-r3                 (2.6.9-r2)
shorewall-3.4.6                (3.4.5)
shorewall-doc-3.4.6            (3.4.5)
shorewall-lite-3.4.6           (3.4.5)
smartmontools-5.37             (5.36-r1)
tcl-8.4.15                     (8.4.14)
varnish-1.1.1                  (1.1)
vconfig-1.9                    (1.8)
wireless-tools-29_pre22        (28)